<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo("Módulo SAIDAS DE FORRAGEIRAS - Operador: $nomeOperador <br>");
$objetocalculo = new calculos(); //calcula todos valores finais

/*
//////////////////////////////////////
$nota=0;
echo("nota lido com post=$nota  nota=$nota   extraseccelect $generica->extras_select<br>");
if($nota<1):
    echo("entrando primeira vez e vai capturar numero da ultima nota e acrescentar 1<br>");
    //acha o ultimo numero de amostra deste laboratorio   hihihihi
endif;
////////////////
*/





///////////////////////////////////////////////////////////////////////////
switch ($tela):
   case 'inicioEntrada':
    //ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica->tabela="notafiscal";
	$generica->campos_valores = array(
			"nta_numero" => NULL,
		);
	$generica->extras_select ="  where nta_cod_labo='".$idLabo."' order by nta_numero desc LIMIT 1";
	$generica->selecionaCampos($generica);
	while ($resgenerica = $generica->retornaDados()):
		$ultimo=$resgenerica->nta_numero;
	endwhile;
	echo '<h2> Selecione o CLIENTE.</h2>';
	$nota=$ultimo+1;//cria  o numero de nota sendo a ultima encontrada deste cliente, mais um
	$sessao->setVar('nota',$nota);
	
    $nomeOperador=$sessao->getVar('nomeuser');

    //define se estara marcado todos no tipo de material checked
	loadCSS('data-table',NULL,TRUE);
	loadJS('jquery-datatable'); 
	?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
		 <th>Amostra</th><th>Lote</th> <th>Selecionar</th>

		
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
 
     <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
					   <th>Nome</th> <th>Selecionar</th>
                </tr>
            </thead>
            <tbody>
			<?php
				    $user = new clientes();
					$user->extras_select = "WHERE id_lab=$idLabo order by nome ";
	                $user->selecionaTudo($user);
	                while ($res = $user->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s</td>',$res->nome);
	                    printf('<td class="center"> <a href="?m=saidasforrageiras&t=operacaoGeral&idClie=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$res->id_cliente);
	                    //printf('<td class="center"> <a href="?m=amostras&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$res->id,$res->id,$res->id);
	                    echo '</tr>';
	                endwhile;                
        $sessao->setVar("controle","Todos");     
		?>
        </tbody>
        </table><br>
        <?php
break;


   case 'operacaoGeral':
        //NAO APAGAR ISSO
		//REPARE QUE A SESSAO GUARDA A ULTIMA SELECAO AI ELE PODE TRABALHAR COM A SESSAO QUE FOI SELCIONADA(AO ENTRR NA TELA FIXA EM TODOS)
		//REPARE QUE O ISSET SO É VERDADEIRO QUENDO EU TROCO O ASSINALAMENTO CASO CONTRARIO O ISSET NAO É LIDO(QUANDO É LIDO JA COLOCA NA SESSAO)
		if(isset($_POST['status'])):
		    echo "Mudou status->";
            $status=$_POST['status'];
    	    $sessao->setVar("controle",$status);	
		else:
		    //echo "!!!!!!!!!Nao achou issete";
		endif;
		
        $nota=$sessao->getVar('nota');
        $controle=$sessao->getVar('controle');
		echo("Localizando lotes de semente do STATUS: $controle<br>");
		if($controle=="MP")$cheque1="checked";
		if($controle=="BE")$cheque2="checked";
		if($controle=="B1")$cheque3="checked";
		if($controle=="B2")$cheque4="checked";
		if($controle=="AC")$cheque5="checked";
		if($controle=="Todos")$cheque6="checked";
		$cabecalhoTela="Selecione um cliente.";
		 
		if(isset($_GET['idClie'])):
		    $idCliente=$_GET['idClie'];
			$sessao->setVar('idEspecie',0);
            $sessao->setVar('idCultivar',0);
            $sessao->setVar('amostraLong',0);
		    //echo("valor da id=$idCliente<br> ");
            $sessao->setVar('idCliente',$idCliente);
			$cabecalhoTela="Selecione uma espécie.";
			$opcao="especie";
         endif;
                 
		//neste isset ele entra quando vai capturar a id da especie selecionada e ja vai orientar para abrir a lista de cultivares
         if(isset($_GET['idEspe'])):
		    $idEspecie=$_GET['idEspe'];
		    //echo("valor da id=$idEspecie<br> ");
            $sessao->setVar('idEspecie',$idEspecie);
	        $cabecalhoTela="Selecione uma cultivar";
			$opcao="cultivar";
		 endif;
		
		//neste isset ele entra quando vai capturar a id da cultivar selecionada e ja vai orientar para abrir a lista de lotes
         if(isset($_GET['idCult'])):
		    $idCultivar=$_GET['idCult'];
		    //echo("valor da id=$idCultivar<br> ");
            $sessao->setVar('idCultivar',$idCultivar);
	        $cabecalhoTela="Selecione um lote";
			$opcao="lote";
		 endif;

		//neste isset ele entra quando vai capturar a id da amostra/lote selecionada e ja vai ......................
         if(isset($_GET['idFich'])):
		    $amostraLong=$_GET['idFich'];
		    //echo("valor da id amostra=$amostraLong<br> ");
            $sessao->setVar('amostraLong',$amostraLong);
	        $cabecalhoTela="Todos dados selecionados.";
			$opcao="venda";
		 endif;

        //quando quer voltar e quiser selecionar outra especie //vou zerar as sessoes abaixo de especie para nao haver mistura
		if (isset($_POST['outraespecie'])):
            $sessao->setVar('idEspecie',0);
            $sessao->setVar('idCultivar',0);
            $sessao->setVar('amostraLong',0);
			$cabecalhoTela="Selecione uma espécie.";
			$opcao="especie";
		endif;

        //quando quer voltar e quiser selecionar outra cultivar
		if (isset($_POST['outracultivar'])):
			$idEspecie=$sessao->getVar('idEspecie');//RECUPERO A ID ESPECIE PARA PODER CHAMAR A SQL DE CULTIVARES
            $sessao->setVar('idCultivar',0);
            $sessao->setVar('amostraLong',0);
			$cabecalhoTela="Selecione uma cultivar.";
			$opcao="cultivar";
		endif;

        //quando quer voltar e quiser selecionar outro lote
		if (isset($_POST['outrolote'])):
			$idCultivar=$sessao->getVar('idCultivar');//RECUPERO A ID CULTIVAR PARA PODER CHAMAR A SQL DE LOTES
            $sessao->setVar('amostraLong',0);
			$cabecalhoTela="Selecione um lote.";
			$opcao="lote";
		endif;

        //quando efetuar a venda
		if (isset($_POST['cadastravenda'])):
           $quantidade=$_POST["qtd"];
		   $idCliente=$sessao->getVar('idCliente');
		   $amostraLong=$sessao->getVar('amostraLong');
           $nota=$_POST['nota'];
		   
		   if($quantidade>0):
                   //echo("Fazendo a venda de $quantidade  quilos. Esta opcao ainda nao foi completada idcliente=$idCliente<br>");
              	   /*
				        COMO FUNCIONA: LOGO QUE ENTRA NO MODULO ELE VAI CAPTURAR O NUMERO DA ULTIMA NOTA FISCAL E PREENCHE
				        NO CMPO PROPRIO ADICIONANDO 1 ETC
                                                   qUANDO LANCA O ITEM O COMPUTADOR VAI VERIFICAR SE O NUMERO DE NOTA EXISTE . SE NAO EXISTE ELE CRIA UM, PEGA A ID E JA  LANCA O ITEM NAQUELA ID
                                                   S E O NUMERO EXISTE, POR EXEMPLO QUENDO JA LANCOU UM ITEM E VAI LANCAR UM SEGUNDO ELE VAI CAPTURAR A ID DA NOTA
                                                    E NAO VAI CRIAR OUTRA E ASSIM POR DIANTE											   
				         */
				    //ENTRA DE QUAKQUER MANEIRA
					//vai capturar a ida da nota que esta aparecendo no campo text
				    //echo("xxxquanmtidade $quantidade  codficha $codFicha numero nota= $nota<br>");
					$idNota=0;
					//ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="notafiscal";
					$generica->campos_valores = array(
							"nta_id" => NULL,
						);
					$generica->extras_select ="  where nta_cod_labo='".$idLabo."' && nta_numero='".$nota."'";
				    $generica->selecionaCampos($generica);
					while ($resgenerica = $generica->retornaDados()):
						$idNota=$resgenerica->nta_id;    
				    endwhile;
					//echo("nota lida xxxxxxxxxxxx idnota=$idNota   extraSelect $generica->extras_select<br>");	
                    //se nao acha o registro para o novo numero do campo nota , ele vai criar um a nota nova, senao vai adicionar outrso itens                     					
                    if($idNota==0):
					     //significa que nao achou entao vai criar um registro
	  				     echo("Vai criar a nota <br>");	
						 $sql="insert into notafiscal(nta_numero,nta_cod_cliente,nta_cod_labo)";
				         $sql.="values('$nota','$idCliente','$idLabo')";
					     //echo("sql de gravacao=$sql<br>");
				         $userNota = new generica();
                         $userNota->campos_valores = $sql;				 
						 $userNota->inserirEspecial($userNota);
						 $idNota=$userNota->linhasafetadas;
						 //echo("idNota=$idNota<br>");
						 $sessao->setVar('idNota', $idNota);
					    // echo("sql de gracvacao= $sql  criou uma nova idNota= $idNota<br>");
					endif;
                    //vai recuperar a sessao idnota que esteja ocorrendo
					$idNota=$sessao->getVar('idNota');
					//echo("aqui vai inserir o item do pedido pedido vinculado a esta id nota= $sql  nova idNota= $idNota<br>");
					$sql=" insert into itemnota(ite_cod_nota,ite_quantidade,ite_ficha)";
					$sql.="values('$idNota','$quantidade','$amostraLong')";
					//echo("sql de gracvacao=$sql<br>");
					//$idNota=grava_registro_trazendo_id($sql);
					$userNota = new generica();
					$userNota->campos_valores = $sql;				 
					$userNota->inserirEspecial($userNota);
 			        //echo("sql de gravacao=$sqlGravacao  nova id=$idNota  quantidade=$quantidade <br>");
		   else:
               echo("Informe a quantidade em quilos.<br>");
		   endif;//finalizacao teste quantidade>0
		   $idCultivar=$sessao->getVar('idCultivar');//RECUPERO A ID CULTIVAR PARA PODER CHAMAR A SQL DE LOTES
		   //$opcao="lote";
		endif;//finalizacao do cadastrovenda



       // unset($_POST);
       // unset($_GET);		

        if($opcao==""):
	        $sessao->setVar('idCliente',0);
	        $sessao->setVar('idEspecie',0);
	        $sessao->setVar('idCultivar',0);
	        $sessao->setVar('amostraLong',0);
        endif;
		//se eu selecionei tudo nao quero ver a grade de selecao embora eu a ame
		//echo("opcao transitoria=$opcao<br>");
		if($opcao!='venda' || $opcao==''):
	        loadCSS('data-table',NULL,TRUE);
	        loadJS('jquery-datatable'); 
		endif;     


		
		
		?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
		
		
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <?php
					if($opcao=='lote'):
                    ?>
					   <th>Amostra</th><th>Lote</th>  <th>Status</th> <th>Selecionar</th>
					<?php
					else:
                    ?>
					   <th>Nome</th> <th>Selecionar</th>
					<?php
					endif;
					?>	 
                </tr>
            </thead>
            <tbody>
                <?php 
                if($opcao=='especie'):
				   ////////////
				    //ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
                    $generica->extras_select =" select distinct esp_nome,esp_id from  especies,cultivar,habilitacultivar where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome ";
					$generica->selecionaCamposEspecial($generica);
	                while ($resgenerica= $generica->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s</td>',$resgenerica->esp_nome);
	                    printf('<td class="center"> <a href="?m=saidasforrageiras&t=operacaoGeral&idEspe=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$resgenerica->esp_id);
	                    echo '</tr>';
	                endwhile; 
					
     

                elseif($opcao=='cultivar'):
					//ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
                    $generica->extras_select =" select distinct ctv_nome,ctv_id from  cultivar,habilitacultivar where ctv_especie=".$idEspecie." && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by ctv_nome ";
					$generica->selecionaCamposEspecial($generica);
	                while ($resgenerica= $generica->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s</td>',$resgenerica->ctv_nome);
	                    printf('<td class="center"> <a href="?m=saidasforrageiras&t=operacaoGeral&idCult=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$resgenerica->ctv_id);
	                    echo '</tr>';
	                endwhile; 
					             
   


                elseif($opcao=='lote'):
	                $user = new amostras();
					echo("tamanho do $status strlen($status)<br>");
					
					
					
					if($controle!="Todos"):
					   $user->extras_select = " where  fic_tta_complementar='".$controle."' and fic_labo=".$idLabo." and fic_cultivar=".$idCultivar."  order by fic_amostra ";
					else:
					   $user->extras_select = " where fic_labo=".$idLabo." and fic_cultivar=".$idCultivar."  order by fic_amostra ";
                    endif;					
	                $user->selecionaTudo($user);
	                while ($res = $user->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s</td>',$res->fic_amostra);
	                    printf('<td>%s</td>',$res->fic_lote);
	                    printf('<td>%s</td>',$res->fic_tta_complementar);
	                    printf('<td class="center"> <a href="?m=saidasforrageiras&t=operacaoGeral&idFich=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$res->fic_id);
	                    echo '</tr>';
	                endwhile;                
                elseif($opcao=='venda'):
                    //disponibiliza os botoes para venda




			    else:
	      
                endif;

//aqui eu quero que ele me mostre os itens selecionados.................................................................................
        //acha o nome do cliente o desconto e o pagamento
		   $nomeCliente='-O-';
		   $idCliente=$sessao->getVar('idCliente');
           if($idCliente>0):
	           $user = new clientes(array(
	                'nome'=>$_POST['nome'],
	            ));
	           $user->valorpk = $id_cliente;
	           $user->extras_select = "WHERE id_cliente=$idCliente";
	           $user->selecionaTudo($user);
	           $res = $user->retornaDados();//aqui monta a tela de edição
			   $nomeCliente=$res->nome;
			   $email=$res->email;
            endif;
        //acha a especie
		   $nomeEspecie='-O-';
		   $idEspecie=$sessao->getVar('idEspecie');
           if($idEspecie>0):
			   $user = new especies(array(
	                'esp_nome'=>$_POST['esp_nome'],
	            ));
	           $user->valorpk = $esp_id;
	           $user->extras_select = "WHERE esp_id=$idEspecie";
	           $user->selecionaTudo($user);
	           $res = $user->retornaDados();//aqui monta a tela de edição
			   $nomeEspecie=$res->esp_nome;
            endif;
        //acha a cultivar
		   $nomeCultivar='-O-';
		   $idCultivar=$sessao->getVar('idCultivar');
           if($idCultivar>0):
			   $user = new cultivares(array(
	                'ctv_nome'=>$_POST['ctv_nome'],
	            ));
	           $user->valorpk = $ctv_id;
	           $user->extras_select = "WHERE ctv_id=$idCultivar";
	           $user->selecionaTudo($user);
	           $res = $user->retornaDados();//aqui monta a tela de edição
			   $nomeCultivar=$res->ctv_nome;
            endif;

			
           //acha a amostra e o lote
		   $vetorMegaAmostra[]=0;
		   $amostraLong=$sessao->getVar('amostraLong');
           if($amostraLong>0):
	           $vetorMegaAmostra=$objetocalculo->capturaGeralAmostra($amostraLong);
	           //$amostraLote=$vetorMegaAmostra[1];
           endif;
		   
		   
		   
		   
		   
			
			?>
            </tbody>
        </table><br>
        <!--//material emprestado//////////////////////////////-->
		 
            <form class="userform" method="post" action="">

                <fieldset>
                    <legend>Dados selecionados</legend>
					<table bgcolor="silver" width="700">
                        <tr>
						<td>Nome: </td><td><input type="text" size="40" name="nome"  readonly="readonly"  value="<?php echo $nomeCliente; ?>" /></td>
						<td>Espécie:</td><td><input type="text" size="40"   readonly="readonly"    name="pesquisa"  value="<?php echo $nomeEspecie; ?>" /></td>
                        </tr><tr>
						<td>Cultivar:</td><td><input type="text" size="40"  readonly="readonly" name="convenio"  value="<?php echo $nomeCultivar; ?>" />
						<td>Estagios:
						<td>
	                        <input type="radio" name="status" value="MP"   <?php echo $cheque1;?>     >MP
	                        <input type="radio" name="status" value="BE"   <?php echo $cheque2;?>     >BE
	                        <input type="radio" name="status" value="B1"   <?php echo $cheque3;?>     >B1
	                        <input type="radio" name="status" value="B2"   <?php echo $cheque4;?>     >B2
	                        <input type="radio" name="status" value="AC"   <?php echo $cheque5;?>     >AC
	                        <input type="radio" name="status" value="Todos"<?php echo $cheque6;?>     >Todos
							</td>
                        </tr>						
					</table>	
					<table bgcolor="#ffd5d5" width="700">
                        <tr><td>
						<?php echo "AM:". $vetorMegaAmostra[1]." Lote:".$vetorMegaAmostra[2]." Germ:".$vetorMegaAmostra[3]." Pur:".$vetorMegaAmostra[4]." Representatividade:".$vetorMegaAmostra[6]." Vendido:".$vetorMegaAmostra[5]; ?>
						</td></tr>
					</table>
	
                    <ul>
					
  
                        <li><labelVermelho  for="nome" >Informe quantidade em quilos, da semente a ser vendida:</labelVermelho>
                        <input type="text" size="5" autofocus="autofocus" name="qtd" value="" />
						na nota fiscal número <input type="text" name="nota" readonly="readonly" value="<?php echo $nota;?> "/>
						
						
						
						
						</li>
						<input type="hidden" size="5"  name="controlePagamento" value="<?php echo $controlePagamento;?>" />
						
					<table bgcolor="silver" width="700">
                    <tr>
						<td><input type="button" onclick="location.href='?m=amostras&t=listar'" value="Cancelar/Fechar" /></td>
						<?php
						if($idEspecie>0)
						{
     						?><td><input type="submit" name="outraespecie" value="Outra espécie" /></td><?php
						}
						if($idCultivar>0)
						{
     						?><td><input type="submit" name="outracultivar" value="Outra cultivar" /></td><?php
						}
						if($amostraLong>0)
						{
    						?><td><input type="submit" name="outrolote" value="Outro lote" /></td><?php
                        }
						if($amostraLong>0)
						{
     						?><td><td><input type="submit" name="cadastravenda" value="Registrar venda" /></td><?php
						}
						?>
						<td><input type="submit" name="manual" value="Ajuda" /></td>
					</tr>         
           			</table>			
					 	
						<li>
						Observação:1- Quando o botão REGISTRAR VENDA ficar disponível, clique nele depois de informar a quantidade.
						</li>
						<li>
						   Estagios são tipos de material(MP=Materia prima  LB=Lote beneficialdo etc.
						</li>
						
                    </ul>
                </fieldset>
            </form>
  
		
		<!--///////////////////////////////////-->
		
		
		
		
		
        <?php        
    break;

	
	
 

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>